import click
from .commands.getexam import getexam
from .commands.findexam import findexam

VERSION = "0.1.2"


@click.group(invoke_without_command=True)
@click.pass_context
def cli(ctx):
    """
    FUO Tool - Công cụ CLI để tải tài liệu FuOverflow.
    """
    if ctx.invoked_subcommand is None:
        click.echo(ctx.get_help())


@cli.command()
def version():
    """Hiển thị phiên bản hiện tại của tool."""
    click.echo(f"FUO Tool phiên bản: {VERSION}")


cli.add_command(getexam)
cli.add_command(findexam)
