# FUO - FUOverflow Downloader Tool

FUO là công cụ dòng lệnh giúp sinh viên FPT University tìm kiếm và tải tài liệu học tập từ FUOverflow miễn phí và dễ dàng.

## 🚀 Features

- 🔍 Tìm kiếm tài liệu theo mã môn học.
- 📥 Tải trọn bộ tài liệu từ một bài viết trên diễn đàn.
- ✅ Giao diện CLI tương tác, dễ sử dụng.
- ⏬ Cho phép tải bằng ID hoặc URL bài viết.

## 🛠 Installation

```bash
pip install fuo-tool
```

⚠ Yêu cầu Python 3.8+ và terminal có hỗ trợ ANSI (Windows, macOS, Linux đều được).

## ⚙️ Usage

### 1. Download specific exam thread by ID or URL

```bash
fuo getexam --id 3913
```

Hoặc nếu bạn có sẵn link bài viết:

```bash
fuo getexam --url https://fuoverflow.com/threads/jpd113_su25_h1_me2_1806243.3913/
```

✅ Trong ví dụ trên, 3913 là ID của bài viết, nằm ở cuối URL.

### 2. Find and choose

System: choose exams by course code

```bash
fuo findexam --code JPD113
```

Hoặc bạn có thể chỉ chạy:

```bash
fuo findexam
```

Tool sẽ hiển thị danh sách các đề thi của môn bạn chọn.

- Dùng phím mũi tên để di chuyển, phím Space để chọn.
- Nhấn Enter để tải các tài liệu bạn đã chọn.
- Bạn có thể chuyển trang bằng phím mũi tên ←/→ nếu có nhiều hơn 1 trang tài liệu.

## 📁 Where are the files saved?

Mỗi đề thi được tải sẽ nằm trong một thư mục riêng, được đặt tên theo irritability bài viết, và nằm trong thư mục hiện tại của bạn.

## 💡 Tips

- Nếu gặp lỗi kết nối, hãy kiểm tra mạng hoặc mở link bài viết thử trên trình duyệt.
- Tool không yêu cầu đăng nhập tài khoản FUOverflow.